> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v2024-01-31/api/entity-users/get-entity-users/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Get all entity users GET https://api.sandbox.monite.com/v1/entity_users Retrieve a list of all entity users. Reference: https://docs.monite.com/api/entity-users/get-entity-users ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Query parameters - `order` (enum, optional) — Sort order (ascending by default). Typically used together with the `sort` parameter. - Allowed values: `asc`, `desc` - `limit` (integer, optional, default: 100) — The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page. - `pagination_token` (string, optional) — A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If `pagination_token` is specified, all other query parameters are ignored and inferred from the initial query. If not specified, the first page of results will be returned. - `sort` ("updated_at", optional) — The field to sort the results by. Typically used together with the `order` parameter. - `id__in` (string, optional) - `id__not_in` (string, optional) - `role_id` (string, optional) - `role_id__in` (string, optional) - `login` (string, optional) - `status` (string, optional) - `first_name` (string, optional) - `name__istartswith` (string, optional) - `created_at__gt` (datetime, optional) - `created_at__lt` (datetime, optional) - `created_at__gte` (datetime, optional) - `created_at__lte` (datetime, optional) ### Headers - `x-monite-version` (string, required) - `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource. ## Response ### 200 Successful Response - `data` (list of EntityUserResponse, required) — array of records - `next_pagination_token` (string, optional) — A token that can be sent in the `pagination_token` query parameter to get the next page of results, or `null` if there is no next page (i.e. you've reached the last page). - `prev_pagination_token` (string, optional) — A token that can be sent in the `pagination_token` query parameter to get the previous page of results, or `null` if there is no previous page (i.e. you've reached the first page). ## Errors ### 400 Get Entity Users Request Bad Request Error Bad Request - `error` (ErrorSchema, required) ### 401 Get Entity Users Request Unauthorized Error Unauthorized - `error` (ErrorSchema, required) ### 403 Get Entity Users Request Forbidden Error Forbidden - `error` (ErrorSchema, required) ### 406 Get Entity Users Request Not Acceptable Error Not Acceptable - `error` (ErrorSchema, required) ### 422 Get Entity Users Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 500 Get Entity Users Request Internal Server Error Internal Server Error - `error` (ErrorSchema, required) ## Types ### EntityUserResponse - `id` (string, required) — UUID entity user ID - `created_at` (datetime, required) — UTC datetime - `updated_at` (datetime, required) — UTC datetime - `login` (string, required) — Login - `role_id` (string, required) — UUID role ID - `status` (enum, required) — record status, 'active' by default - Allowed values: `active`, `deleted` - `email` (string, optional) — An entity user business email - `first_name` (string, optional) — First name - `last_name` (string, optional) — Last name - `phone` (string, optional) — An entity user phone number in the international format - `userpic_file_id` (string, optional) ### ErrorSchema - `message` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItem ## Examples **Response** ```json { "data": [ { "id": "id", "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "login": "caseyp", "role_id": "role_id", "status": "active", "email": "email", "first_name": "first_name", "last_name": "last_name", "phone": "phone", "userpic_file_id": "userpic_file_id" } ], "next_pagination_token": "next_pagination_token", "prev_pagination_token": "prev_pagination_token" } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/entity_users" headers = { "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/entity_users'; const options = { method: 'GET', headers: { 'x-monite-version': '2024-01-31', 'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4', Authorization: 'Bearer ' } }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/entity_users" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-monite-version", "2024-01-31") req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/entity_users") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-monite-version"] = '2024-01-31' request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.sandbox.monite.com/v1/entity_users") .header("x-monite-version", "2024-01-31") .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.sandbox.monite.com/v1/entity_users', [ 'headers' => [ 'Authorization' => 'Bearer ', 'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4', 'x-monite-version' => '2024-01-31', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/entity_users"); var request = new RestRequest(Method.GET); request.AddHeader("x-monite-version", "2024-01-31"); request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/entity_users")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```